# Generated from geo-distance2-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name geo-distance2

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Calculates the geo distance between two locations using longitude and latitude, using Haversine, Speherical or Vincenty formula
License: MIT
URL: http://github.com/olignyf/geo-distance2
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.6.0
# BuildRequires: rubygem(jeweler) >= 1.6.2
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(rcov)
BuildArch: noarch

%description
Calculates the geo distance between two locations using longitude and latitude
using Haversine, Speherical or Vincenty formula. 
This is done using Math formulas without resorting to Active Record or SQL DB
functionality.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.textile
%{gem_instdir}/Rakefile
%{gem_instdir}/geo-distance.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.1-1
- Initial package
